Running Isaac SDK and Isaac Sim from AWS

Hello,

I have been trying to communicate IsaacSim and IsaacSDK for a while.
I have tried different settings. I first tried running IsaacSim Omniverse + Nucleus + IsaacSDK on an AWS instance, using the recommended AmazonMachineImage. I get the following error when running the cart delivery IsaacSDK sample app.
image
I read on the forum that it might be related to the CUDA version, which I checked. And apparently, the IsaacSim AmazonMachineImage comes with CUDA 11 installed. So I tried running IsaacSDK on a separate AWS instance while keeping IsaacSim and Nucleus separately on a single AWS instance. I installed CUDA 10.2 using the runfile, installed the dependencies and ran the same cart delivery IsaacSDK sample app, and got exactly the same error.
Can anyone help me? This is getting kinda frustrating :’(

Btw… It’s a bit difficult to see it in the image but this is the error I always get:

2021-05-27 09:22:59.204 ERROR external/com_nvidia_isaac_engine/engine/alice/backend/modules.cpp@295: packages/ml/libml_module.so: libnvrtc.so.10.2: cannot open shared object file: No such file or directory
2021-05-27 09:22:59.204 ERROR external/com_nvidia_isaac_engine/engine/alice/backend/modules.cpp@295: packages/perception/libperception_module.so: /home/ubuntu/.cache/bazel/_bazel_ubuntu/2034e58bbd6dc18a1129ba0e31ca9906/execroot/com_nvidia_isaac_sdk/bazel-out/k8-opt/bin/packages/cart_delivery/apps/cart_delivery.runfiles/com_nvidia_isaac_sdk//packages/perception/libperception_module.so: undefined symbol: IsaacGatherComponentInfo
2021-05-27 09:22:59.204 PANIC external/com_nvidia_isaac_engine/engine/alice/backend/modules.cpp@297: Could not load all required modules for application

| Isaac application terminated unexpectedly |

Thank you in advance

Isaac SDK 2020.2 supports CUDA 10.2 because Jetpack 4.4.1 only supports CUDA 10.2, but Isaac Sim has no such restriction. The library that is not loading appears to be related to TensorRT. We have to look into this further but I did find one other post that might be relevant here: Libnvrtc.so.10.2 not found